///File : ResistanceCalcul.hpp
//------------------------------------------------------------------------------
/*
    This file is part of resistancevalue.

    Resistancevalue is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Resistancevalue is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with resistancevalue.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
//------------------------------------------------------------------------------
#include "config.hpp"
//------------------------------------------------------------------------------

#if not defined RESISTANCE_CALCUL_HPP_RESISTANCE_VALUE
#define RESISTANCE_CALCUL_HPP_RESISTANCE_VALUE

class DialogBandColorChoice : public wxDialog
{
public:
    DialogBandColorChoice( wxWindow* parent, wxWindowID id = wxID_ANY, int colorNumber = 0, const wxString& title = _("Chose a color"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxSize( 400,200 ), long style = wxDEFAULT_DIALOG_STYLE );
    void SetColorNumber(int colorNumber);
    int GetColorNumber();
    void OnButtonColor0(wxCommandEvent &event){SetColorNumber(0);}
    void OnButtonColor1(wxCommandEvent &event){SetColorNumber(1);}
    void OnButtonColor2(wxCommandEvent &event){SetColorNumber(2);}
    void OnButtonColor3(wxCommandEvent &event){SetColorNumber(3);}
    void OnButtonColor4(wxCommandEvent &event){SetColorNumber(4);}
    void OnButtonColor5(wxCommandEvent &event){SetColorNumber(5);}
    void OnButtonColor6(wxCommandEvent &event){SetColorNumber(6);}
    void OnButtonColor7(wxCommandEvent &event){SetColorNumber(7);}
    void OnButtonColor8(wxCommandEvent &event){SetColorNumber(8);}
    void OnButtonColor9(wxCommandEvent &event){SetColorNumber(9);}
protected:
    wxBitmapButton *m_BitmapBtChoseColorTbl[10];
    wxStaticText *m_TxtChosenColor;
    wxStaticBitmap *m_ImgChosenColor;
    wxColour m_ColorCodeResistance[10];
    int m_chosenColorNumber;
};

class DialogBandColorChoiceBand4 : public wxDialog
{
public:
    DialogBandColorChoiceBand4( wxWindow* parent, wxWindowID id = wxID_ANY, int colorNumber = 0, const wxString& title = _("Chose a color"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxSize( 200,150 ), long style = wxDEFAULT_DIALOG_STYLE );
    void SetColorNumber(int colorNumber);
    int GetColorNumber();
    void OnButtonColor0(wxCommandEvent &event){SetColorNumber(0);}
    void OnButtonColor1(wxCommandEvent &event){SetColorNumber(1);}
    void OnButtonColor2(wxCommandEvent &event){SetColorNumber(2);}
protected:
    wxBitmapButton *m_BitmapBtChoseColorTbl[2];
    wxStaticText *m_TxtChosenColor;
    wxStaticBitmap *m_ImgChosenColor;
    wxColour m_ColorCodeResistance[2];
    wxButton *m_BtRien;
    int m_chosenColorNumber;
};

#endif //RESISTANCE_CALCUL_HPP_RESISTANCE_VALUE
